// TYRE MODEL

textures/coroner_models/tire2neutral

{
		q3map_forcemeta
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/coroner_models/tire2neutral.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// LAMP

textures/coroner_models/lamp1_grate
{
	qer_editorimage textures/coroner_models/lamp1_grate.tga
	qer_alphafunc greater 0.5
	
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid		
        nopicmip
	{
		map textures/coroner_models/lamp1_grate.tga
		alphaFunc GE128
		depthWrite
		//rgbGen vertex
		rgbGen identity
	}

}

textures/coroner_models/lamp1_metal
{
	qer_editorimage textures/coroner_models/lamp1_metal.tga
	
	q3map_clipmodel
	q3map_forcemeta
	surfaceparm nolightmap
	surfaceparm pointlight
	
	surfaceparm metalsteps
	
	{
		map textures/coroner_models/lamp1_metal.tga
		rgbGen vertex
	}
}

textures/coroner_models/lamp1_metal_white

{
	
	q3map_clipmodel
	q3map_forcemeta
	surfaceparm nolightmap
	//surfaceparm pointlight
	surfaceparm metalsteps
	surfaceparm nomarks
	
	qer_editorimage textures/coroner_models/neon4_housing.tga
	q3map_lightimage textures/coroner_models/neon4_housing.tga
	q3map_surfacelight 4500
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/coroner_models/neon4_housing.tga
		rgbGen const ( 0.7 0.7 0.7 )
		//rgbGen vertex
	}
	{
		map textures/coroner_models/neon4_housing.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/coroner_models/neon4_housing.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/coroner_models/lamp1_metal_down
{
	qer_editorimage textures/coroner_models/lamp1_metal.tga
	
	q3map_clipmodel
	q3map_forcemeta
	surfaceparm nolightmap
	//surfaceparm pointlight
	
	surfaceparm metalsteps
	
	{
		map textures/coroner_models/lamp1_metal.tga
		rgbGen identity
		//rgbGen vertex
	}
}

textures/coroner_models/lamp1_white
{
	qer_editorimage textures/coroner_models/lamp1_white.tga
	
	q3map_forcemeta
	
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	{
		map textures/coroner_models/lamp1_white.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen identity
	}	
}

// CARGO model

models/map_objects/cairn/cargo_sm

{
	q3map_clipmodel
	q3map_forcemeta
	q3map_nolightmap
	surfaceparm metalsteps
    {
        map models/map_objects/cairn/cargo_sm.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen lightingDiffuse
    }       
    
}

// WOODPILE

textures/coroner_models/woodpile
{
	
	q3map_clipmodel
	q3map_forcemeta
	surfaceparm woodsteps
	surfaceparm nolightmap
	
	{
		map textures/coroner_models/woodpile.tga
		rgbGen vertex
	}
}

textures/coroner_models/woodpile_plastic
{
	qer_alphafunc greater 0.5
	
	//q3map_clipmodel
	q3map_forcemeta
	surfaceparm nolightmap
	surfaceparm alphashadow
	
	{
		map textures/coroner_models/woodpile_plastic.tga
		alphaFunc GE128
		rgbGen vertex
	}
}

// CARGO MODEL

models/mapobjects/bruce_mod/cargo/mat1
{
		q3map_clipmodel	
		surfaceparm woodsteps
		q3map_forcemeta
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/bruce_mod/cargo/mat1.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


// OTHER MODELS

models/mapobjects/bruce_mod/bricks/mat1
{
	{
		map models/mapobjects/bruce_mod/bricks/mat1.jpg
		rgbGen vertex
	}
}

models/mapobjects/liq/bag1
{
	{
		map models/mapobjects/liq/bag1.jpg
		rgbGen vertex
	}
}

// ALPHA CHANNELS

// TERRAIN grasssteps gravelsteps landmines

textures/dedust/terrain/ground018_2
{
	qer_editorImage textures/dedust/terrain/ground018_2.jpg
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_nonPlanar
	q3map_shadeAngle 90
	q3map_lightmapMergable
	surfaceparm gravelsteps
	surfaceparm landmine
	{
		map textures/dedust/terrain/ground018_2.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/dedust/terrain/ground018_2_nomines
{
	qer_editorImage textures/dedust/terrain/ground018_2.jpg
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_nonPlanar
	q3map_shadeAngle 90
	q3map_lightmapMergable
	surfaceparm gravelsteps
	{
		map textures/dedust/terrain/ground018_2.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// CRATES woodsteps

textures/de_dust_des/desert_camo_canvas_upscaled
{
	surfaceparm woodsteps

	{
		map $lightmap
		rgbgen identity
	}
		
	{
		map textures/de_dust_des/desert_camo_canvas_upscaled.jpg
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}	

textures/de_dust_des/desertboxen_covered_top1_upscaled
{

	surfaceparm woodsteps

	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/de_dust_des/desertboxen_covered_top1_upscaled.jpg
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/de_dust_des/desertboxen_covered_top2_upscaled
{

	surfaceparm woodsteps

	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/de_dust_des/desertboxen_covered_top2_upscaled.jpg
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}


textures/de_dust_des/desertboxen_covered_upscaled
{

	surfaceparm woodsteps

	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/de_dust_des/desertboxen_covered_upscaled.jpg
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/de_dust_des/desertboxen1_upscaled
{

	surfaceparm woodsteps

	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/de_dust_des/desertboxen1_upscaled.jpg
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/de_dust_des/desertboxen2_upscaled
{

	surfaceparm woodsteps

	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/de_dust_des/desertboxen2_upscaled.jpg
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}


// WOOD Textures woodsteps

textures/coroner_models/cableroll_big
{
	surfaceparm woodsteps

	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/coroner_models/cableroll_big.tga
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
	

}

textures/coroner_models/cableroll_big2
{
	surfaceparm woodsteps

	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/coroner_models/cableroll_big2.tga
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
	

}

// METAL Textures metalsteps

textures/dedust/misc/metal_010
{
	surfaceparm gravelsteps
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/dedust/misc/metal_010.jpg
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

// GRAVEL Textures gravelsteps

// GRASS Textures grasssteps

// SNOW Textures snowsteps

// ROOF Textures roofsteps

// CARPET Textures carpetsteps

textures/dedust/floor/carpet_c02_upscaled
{
	surfaceparm carpetsteps
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/dedust/floor/carpet_c02_upscaled.jpg
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}


// WALL textures nosteps

textures/de_dust_des/desertstone1_sandy_upscaled
{
	surfaceparm nosteps
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/de_dust_des/desertstone1_sandy_upscaled.jpg
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/de_dust_des/desertstone1_sandycracks_upscaled
{
	surfaceparm nosteps
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/de_dust_des/desertstone1_sandycracks_upscaled.jpg
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/de_dust_des/desertstone1_stripes_upscaled
{
	surfaceparm nosteps
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/de_dust_des/desertstone1_stripes_upscaled.jpg
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/de_dust_des/desertstone1_upscaled
{
	surfaceparm nosteps
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/de_dust_des/desertstone1_upscaled.jpg
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/de_dust_des/desertstone2_symbols_upscaled
{
	surfaceparm nosteps
	q3map_surfacelight 15
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/de_dust_des/desertstone2_symbols_upscaled.jpg
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/de_dust_des/desertstone2_upscaled
{
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/de_dust_des/desertstone2_upscaled.jpg
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/de_dust_des/desertstone3_upscaled
{
	surfaceparm nosteps
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/de_dust_des/desertstone3_upscaled.jpg
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/de_dust_des/fortresswall_stucco1
{
	surfaceparm nosteps
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/de_dust_des/fortresswall_stucco1.jpg
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/de_dust_des/fortresswall_stucco2_upscaledx
{
	surfaceparm nosteps
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/de_dust_des/fortresswall_stucco2_upscaledx.jpg
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/de_dust_des/fortresswall_upscaled
{
	surfaceparm nosteps
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/de_dust_des/fortresswall_upscaled.jpg
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

// WINDOW textures nosteps

textures/dedust/windows/window1_upscaled
{
	surfaceparm nosteps
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/dedust/windows/window1_upscaled.jpg
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/dedust/windows/window2_upscaled
{
	surfaceparm nosteps
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/dedust/windows/window2_upscaled.jpg
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/dedust/windows/window3_upscaled
{
	surfaceparm nosteps
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/dedust/windows/window3_upscaled.jpg
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/dedust/windows/window4_upscaled
{
	surfaceparm nosteps
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/dedust/windows/window4_upscaled.jpg
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/dedust/windows/window5_upscaled
{
	surfaceparm nosteps
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/dedust/windows/window5_upscaled.jpg
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

// DOOR textures nosteps

textures/dedust/doors/door1_upscaled
{
	surfaceparm metalsteps
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/dedust/doors/door1_upscaled.jpg
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/dedust/doors/door2_upscaled
{
	surfaceparm woodsteps
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/dedust/doors/door2_upscaled.jpg
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/dedust/doors/door3_upscaled
{
	surfaceparm woodsteps
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/dedust/doors/door3_upscaled.jpg
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/dedust/doors/door4_upscaled
{
	surfaceparm woodsteps
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/dedust/doors/door4_upscaled.jpg
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

// OTHER textures